Subject: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 09 Jan 2023 09:28:00 -0800

Gregory Heytings <[email-masked]> writes:

> Another user reported an apparently similar problem in bug#60585.  It
> disappears when scroll-bars are turned off.  Is that by any chance
> also the case for the problem you see, Dmitry?  It's not a proper
> solution of course, but it might perhaps hint at a proper solution.

I've been following along this bug report because I was seeing something
similar. I'm using the sway Wayland wm, with this in my init:

(add-to-list 'default-frame-alist '(font . "Inconsolata-12"))

Turning scroll bars off also fixed it for me. I can't even quite
describe what "it" was, but lettering looked a little vertically
stretched and "ugly".